%define upstream_name Horde_Controller
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.0.1
Release:     	%mkrel 1
Summary:    	Horde Controller libraries
License:    	BSD
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildArch:  	noarch
Requires:    	php-pear
Requires:  	php-pear-Horde_Exception <= 2.0.0
Requires:  	php-pear-Horde_Injector <= 2.0.0   
Requires:  	php-pear-Horde_Log <= 2.0.0   
Requires:  	php-pear-Horde_Support <= 2.0.0   
Requires:  	php-pear-Horde_Util <= 2.0.0
Conflicts:  	php-pear-Horde_Exception = 2.0.0   
Conflicts:  	php-pear-Horde_Injector = 2.0.0   
Conflicts:  	php-pear-Horde_Log = 2.0.0   
Conflicts:  	php-pear-Horde_Support = 2.0.0   
Conflicts:  	php-pear-Horde_Util = 2.0.0
BuildRequires:	php-pear
BuildRequires: 	php-pear-channel-horde
Provides:      	php-pear-Horde_Controller = %{version}
Obsoletes:	horde-controller	

%description
This package provides the controller part of an MVC system for Horde.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Controller.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Controller.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Controller
fi

%files
%defattr(-,root,root)
%{peardir}/Horde/Controller.php
%{peardir}/Horde/Controller/Base.php
%{peardir}/Horde/Controller/Exception.php
%{peardir}/Horde/Controller/Filter/Gzip.php
%{peardir}/Horde/Controller/FilterCollection.php
%{peardir}/Horde/Controller/FilterRunner.php
%{peardir}/Horde/Controller/Null.php
%{peardir}/Horde/Controller/PostFilter.php
%{peardir}/Horde/Controller/PreFilter.php
%{peardir}/Horde/Controller/Request.php
%{peardir}/Horde/Controller/Request/Http.php
%{peardir}/Horde/Controller/Request/Mock.php
%{peardir}/Horde/Controller/Request/Null.php
%{peardir}/Horde/Controller/RequestConfiguration.php
%{peardir}/Horde/Controller/Response.php
%{peardir}/Horde/Controller/ResponseWriter.php
%{peardir}/Horde/Controller/ResponseWriter/Web.php
%{peardir}/Horde/Controller/ResponseWriter/WebDebug.php
%{peardir}/Horde/Controller/Runner.php
%{peardir}/Horde/Controller/SettingsExporter.php
%{peardir}/Horde/Controller/SettingsExporter/Default.php
%{peardir}/Horde/Controller/UrlWriter.php
%{peardir}/tests/Horde_Controller/Horde/Controller/AllTests.php
%{peardir}/tests/Horde_Controller/Horde/Controller/Autoload.php
%{peardir}/tests/Horde_Controller/Horde/Controller/FilterRunnerTest.php
%{peardir}/tests/Horde_Controller/Horde/Controller/MockRequestTest.php
%{peardir}/tests/Horde_Controller/Horde/Controller/StreamTest.php
%{peardir}/tests/Horde_Controller/Horde/Controller/phpunit.xml
%{xmldir}/Horde_Controller.xml

%changelog

* Sun Nov 06 2011 spuhler <spuhler> 1.0.1-1.mga2
+ Revision: 163999
- upgrade tp 1.0.1
- changed Provides: php-pear-Horde_Controller to php-pear-Horde_Controller = %%{version}
- imported package php-pear-Horde_Controller

